Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.pipe
Class DistributedPipeOutput

    java.lang.Object
      org.jboss.messaging.core.distributed.pipe.DistributedPipeOutput

All Implemented Interfaces:
  PipeOutputFacade, ServerFacade

public class DistributedPipeOutput
extends java.lang.Object
implements PipeOutputFacade

The "receiving end" of a distributed pipe.

Listens on a RpcDispatcher and synchronously handles messages sent by the input end of the distributed pipe. Multiple distributed pipes can share the same DistributedPipeOutput instance (and implicitly the pipeID), as long input instances are different.

Version:
  `$Revision: 1.7 $` $Id: DistributedPipeOutput.java,v 1.7 2005/11/20 00:07:51 ovidiu Exp $
Author:
  Ovidiu Feodorov

Field Summary
`protected java.io.Serializable` | `pipeID`
`protected Receiver` | `receiver`

Constructor Summary
`DistributedPipeOutput(java.io.Serializable pipeID, Receiver receiver)`

Method Summary
`java.io.Serializable` | `getID()` Return the ID under which server object is registered with the RpcServer.
`Receiver` | `getReceiver()`
`Delivery` | `handle(Routable r)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pipeID

    protected java.io.Serializable pipeID

### receiver

    protected Receiver receiver

Constructor Detail

### DistributedPipeOutput

    public DistributedPipeOutput(java.io.Serializable pipeID,
                                 Receiver receiver)

Parameters:
  `pipeID` - - the id of the distributed pipe. It must match the id used to instantiate the input end of the pipe.

Method Detail

### getID

    public java.io.Serializable getID()

  Description copied from interface: `ServerFacade`
  Return the ID under which server object is registered with the RpcServer.

  Specified by:
    `getID` in interface `ServerFacade`

### handle

    public Delivery handle(Routable r)

  Specified by:
    `handle` in interface `PipeOutputFacade`

### getReceiver

    public Receiver getReceiver()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.